Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.commons.math.genetics
Interface PermutationChromosome<T>

Type Parameters:
  `T` - type of the permuted objects

All Known Implementing Classes:
  RandomKey

    public interface PermutationChromosome<T>

Interface indicating that the chromosome represents a permutation of objects.

Since:
  2.0
Version:
  $Revision: 811786 $ $Date: 2009-09-06 11:36:08 +0200 (dim. 06 sept. 2009) $

Method Summary
`List<T>` | `decode(List<T> sequence)` Permutes the `sequence` of objects of type T according to the permutation this chromosome represents.

Method Detail

### decode

    List<T> decode(List<T> sequence)

  Permutes the `sequence` of objects of type T according to the permutation this chromosome represents. For example, if this chromosome represents a permutation (3,0,1,2), and the unpermuted sequence is (a,b,c,d), this yields (d,a,b,c).

  Parameters:
    `sequence` - the unpermuted (original) sequence of objects
  Returns:
    permutation of `sequence` represented by this permutation

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (c) 2003-2013 Apache Software Foundation